#!/usr/bin/env python
import datetime
import mcidasx
import os
group = 'RTGOESR'
descriptor = 'FD'
server = 'LEAD.UNIDATA.UCAR.EDU'

os.environ['PATH'] = '/home/mcidas/bin:%s' % os.environ['PATH']
os.environ['MCPATH'] = '%s/mcidas/data:/home/mcidas/data' % os.environ['HOME']

mc = mcidasx.mcenv()
mc.dataloc('ADD %s %s' % (group, server))
image_date = datetime.date(2018, 9, 26)
# for image_date, substitute in today's year, month, day
# for example: datetime.date(2018, 9, 26)
result = mc.imglist('%s/%s DAY=%s TIME=%s FORM=ALL MCC=NONE' % (group, descriptor, image_date.strftime('%y%j'), '12 18'))

print result.stdout